# AOCreateBasic

Creates a basic application ordering using two integer arrays.

### Synopsis

    #include "petscao.h"
    PetscErrorCode PETSCDM_DLLEXPORT AOCreateBasic(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator that is to share AO
| napp | - size of integer arrays
| myapp | - integer array that defines an ordering
| mypetsc | - integer array that defines another ordering (may be PETSC_NULL to indicate the natural ordering)

### Output Parameter

aoout -the new application ordering

### Options Database Key

-ao_view -call AOView() at the conclusion of AOCreateBasic()

### Keywords

AO, create

### See Also

AOCreateBasicIS(), AODestroy()

Level:beginner
Location: src/dm/ao/impls/basic/aobasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html